# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'Switch'
        db.create_table(u'dcim_switch', (
            ('dcim_id', self.gf('django.db.models.fields.IntegerField')(primary_key=True)),
            ('label', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('management_address', self.gf('django.db.models.fields.CharField')(max_length=255)),
        ))
        db.send_create_signal(u'dcim', ['Switch'])

        # Adding model 'SwitchPort'
        db.create_table(u'dcim_switchport', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('number', self.gf('django.db.models.fields.CharField')(max_length=255, null=True)),
            ('label', self.gf('django.db.models.fields.CharField')(max_length=255, null=True)),
            ('switch', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['dcim.Switch'], related_name='ports')),
            ('dcim_server', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['inventory.InventoryObject'], null=True, to_field='dcim_id')),
            ('switch_port_name', self.gf('django.db.models.fields.CharField')(max_length=255, null=True)),
        ))
        db.send_create_signal(u'dcim', ['SwitchPort'])

        # Adding unique constraint on 'SwitchPort', fields ['switch', 'number']
        db.create_unique(u'dcim_switchport', ['switch_id', 'number'])

        # Adding M2M table for field l2addresses on 'SwitchPort'
        db.create_table(u'dcim_switchport_l2addresses', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('switchport', models.ForeignKey(orm[u'dcim.switchport'], null=False)),
            ('l2address', models.ForeignKey(orm[u'inventory.l2address'], null=False))
        ))
        db.create_unique(u'dcim_switchport_l2addresses', ['switchport_id', 'l2address_id'])


    def backwards(self, orm):
        # Removing unique constraint on 'SwitchPort', fields ['switch', 'number']
        db.delete_unique(u'dcim_switchport', ['switch_id', 'number'])

        # Deleting model 'Switch'
        db.delete_table(u'dcim_switch')

        # Deleting model 'SwitchPort'
        db.delete_table(u'dcim_switchport')

        # Removing M2M table for field l2addresses on 'SwitchPort'
        db.delete_table('dcim_switchport_l2addresses')


    models = {
        u'auth.group': {
            'Meta': {'object_name': 'Group'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '80', 'unique': 'True'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'blank': 'True', 'to': u"orm['auth.Permission']"})
        },
        u'auth.permission': {
            'Meta': {'unique_together': "((u'content_type', u'codename'),)", 'ordering': "(u'content_type__app_label', u'content_type__model', u'codename')", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['contenttypes.ContentType']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'blank': 'True', 'max_length': '75'}),
            'first_name': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '30'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Group']", 'blank': 'True', 'symmetrical': 'False', 'related_name': "u'user_set'"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '30'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Permission']", 'blank': 'True', 'symmetrical': 'False', 'related_name': "u'user_set'"}),
            'username': ('django.db.models.fields.CharField', [], {'max_length': '30', 'unique': 'True'})
        },
        u'contenttypes.contenttype': {
            'Meta': {'unique_together': "(('app_label', 'model'),)", 'ordering': "('name',)", 'db_table': "'django_content_type'", 'object_name': 'ContentType'},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        u'dcim.switch': {
            'Meta': {'object_name': 'Switch'},
            'dcim_id': ('django.db.models.fields.IntegerField', [], {'primary_key': 'True'}),
            'label': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'management_address': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        u'dcim.switchport': {
            'Meta': {'unique_together': "(('switch', 'number'),)", 'object_name': 'SwitchPort'},
            'dcim_server': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['inventory.InventoryObject']", 'null': 'True', 'to_field': "'dcim_id'"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'l2addresses': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['inventory.L2Address']", 'symmetrical': 'False', 'related_name': "'switch_ports'"}),
            'label': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True'}),
            'number': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True'}),
            'switch': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['dcim.Switch']", 'related_name': "'ports'"}),
            'switch_port_name': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True'})
        },
        u'inventory.inventoryobject': {
            'Meta': {'ordering': "('-created',)", 'object_name': 'InventoryObject'},
            'active': ('django.db.models.fields.BooleanField', [], {'db_index': 'True', 'default': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            'dcim_id': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'unique': 'True', 'null': 'True'}),
            'dcim_label': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ipv4network': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['inventory.IPv4Network']", 'symmetrical': 'False', 'related_name': "'inventory_objects'", 'null': 'True'}),
            'l2network': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['inventory.L2Network']", 'symmetrical': 'False', 'related_name': "'inventory_objects'", 'null': 'True'}),
            'label': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['inventory.InventoryObjectLabel']", 'symmetrical': 'False', 'related_name': "'inventory_objects'"}),
            'location': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['inventory.InventoryObjectLocation']", 'related_name': "'inventory_objects'", 'null': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '254', 'unique': 'True', 'null': 'True'}),
            'responsible': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.User']", 'db_index': 'True', 'symmetrical': 'False', 'related_name': "'inventory_objects'"}),
            'type': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['inventory.InventoryObjectType']", 'related_name': "'inventory_objects'", 'null': 'True'})
        },
        u'inventory.inventoryobjectlabel': {
            'Meta': {'object_name': 'InventoryObjectLabel'},
            'active': ('django.db.models.fields.BooleanField', [], {'db_index': 'True', 'default': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64', 'unique': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'default': "'GY'", 'max_length': '2'})
        },
        u'inventory.inventoryobjectlocation': {
            'Meta': {'object_name': 'InventoryObjectLocation'},
            'active': ('django.db.models.fields.BooleanField', [], {'db_index': 'True', 'default': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            'fullname': ('django.db.models.fields.CharField', [], {'max_length': '254'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'shortname': ('django.db.models.fields.CharField', [], {'max_length': '32', 'unique': 'True'})
        },
        u'inventory.inventoryobjecttype': {
            'Meta': {'object_name': 'InventoryObjectType'},
            'active': ('django.db.models.fields.BooleanField', [], {'db_index': 'True', 'default': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '254', 'unique': 'True'})
        },
        u'inventory.ipv4network': {
            'Meta': {'unique_together': "(('address', 'netmask'),)", 'ordering': "('address',)", 'object_name': 'IPv4Network'},
            'active': ('django.db.models.fields.BooleanField', [], {'db_index': 'True', 'default': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '64', 'null': 'True'}),
            'address': ('django.db.models.fields.CharField', [], {'max_length': '15'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            'gateway': ('django.db.models.fields.CharField', [], {'max_length': '15'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'l2network': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['inventory.L2Network']", 'related_name': "'ipv4_networks'", 'null': 'True'}),
            'location': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['inventory.InventoryObjectLocation']", 'related_name': "'ipv4_networks'", 'null': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'netmask': ('django.db.models.fields.CharField', [], {'max_length': '15'})
        },
        u'inventory.l2address': {
            'Meta': {'object_name': 'L2Address'},
            'address': ('django.db.models.fields.CharField', [], {'max_length': '12', 'unique': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'inventory_object': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['inventory.InventoryObject']", 'related_name': "'l2addresses'", 'null': 'True'})
        },
        u'inventory.l2network': {
            'Meta': {'object_name': 'L2Network'},
            'active': ('django.db.models.fields.BooleanField', [], {'db_index': 'True', 'default': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '254'}),
            'vlanid': ('django.db.models.fields.IntegerField', [], {'max_length': '5'})
        }
    }

    complete_apps = ['dcim']