from django.db import models


class Switch(models.Model):
    dcim_id = models.IntegerField(primary_key=True)
    label = models.CharField(max_length=255)
    management_address = models.CharField(max_length=255)

    def __unicode__(self):
        return self.label


class SwitchPort(models.Model):
    number = models.CharField(max_length=255, null=True)
    label = models.CharField(max_length=255, null=True)
    switch = models.ForeignKey(Switch, related_name='ports')
    l2addresses = models.ManyToManyField('inventory.L2Address', related_name='switch_ports')
    dcim_server_id = models.IntegerField(null=True)
    switch_port_name = models.CharField(max_length=255, null=True)

    class Meta:
        unique_together = ('switch', 'number')

    def __unicode__(self):
        return 'number={!r} label={!r}'.format(
            self.number,
            self.label
        )
