# -*- coding: utf-8 -*-
# flake8: noqa
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'InventoryObjectLocation'
        db.create_table(u'inventory_inventoryobjectlocation', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('modified', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('active', self.gf('django.db.models.fields.BooleanField')(default=True, db_index=True)),
            ('added_by', self.gf('django.db.models.fields.CharField')(max_length=64, null=True)),
            ('shortname', self.gf('django.db.models.fields.CharField')(unique=True, max_length=32)),
            ('fullname', self.gf('django.db.models.fields.CharField')(max_length=254)),
        ))
        db.send_create_signal(u'inventory', ['InventoryObjectLocation'])

        # Adding model 'L2Network'
        db.create_table(u'inventory_l2network', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('modified', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('active', self.gf('django.db.models.fields.BooleanField')(default=True, db_index=True)),
            ('added_by', self.gf('django.db.models.fields.CharField')(max_length=64, null=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=254)),
            ('vlanid', self.gf('django.db.models.fields.IntegerField')(max_length=5)),
        ))
        db.send_create_signal(u'inventory', ['L2Network'])

        # Adding model 'IPv4Network'
        db.create_table(u'inventory_ipv4network', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('modified', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('active', self.gf('django.db.models.fields.BooleanField')(default=True, db_index=True)),
            ('added_by', self.gf('django.db.models.fields.CharField')(max_length=64, null=True)),
            ('address', self.gf('django.db.models.fields.CharField')(max_length=15)),
            ('netmask', self.gf('django.db.models.fields.CharField')(max_length=15)),
            ('gateway', self.gf('django.db.models.fields.CharField')(max_length=15)),
            ('l2network', self.gf('django.db.models.fields.related.ForeignKey')(related_name='ipv4_networks', null=True, to=orm['inventory.L2Network'])),
            ('location', self.gf('django.db.models.fields.related.ForeignKey')(related_name='ipv4_networks', null=True, to=orm['inventory.InventoryObjectLocation'])),
        ))
        db.send_create_signal(u'inventory', ['IPv4Network'])

        # Adding unique constraint on 'IPv4Network', fields ['address', 'netmask']
        db.create_unique(u'inventory_ipv4network', ['address', 'netmask'])

        # Adding model 'InventoryObjectType'
        db.create_table(u'inventory_inventoryobjecttype', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('modified', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('active', self.gf('django.db.models.fields.BooleanField')(default=True, db_index=True)),
            ('added_by', self.gf('django.db.models.fields.CharField')(max_length=64, null=True)),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=254)),
        ))
        db.send_create_signal(u'inventory', ['InventoryObjectType'])

        # Adding model 'InventoryObjectLabel'
        db.create_table(u'inventory_inventoryobjectlabel', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('modified', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('active', self.gf('django.db.models.fields.BooleanField')(default=True, db_index=True)),
            ('added_by', self.gf('django.db.models.fields.CharField')(max_length=64, null=True)),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=64)),
            ('type', self.gf('django.db.models.fields.CharField')(default='GR', max_length=2)),
        ))
        db.send_create_signal(u'inventory', ['InventoryObjectLabel'])

        # Adding model 'InventoryObject'
        db.create_table(u'inventory_inventoryobject', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('modified', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('active', self.gf('django.db.models.fields.BooleanField')(default=True, db_index=True)),
            ('added_by', self.gf('django.db.models.fields.CharField')(max_length=64, null=True)),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=254)),
            ('type', self.gf('django.db.models.fields.related.ForeignKey')(related_name='inventory_objects', null=True, to=orm['inventory.InventoryObjectType'])),
            ('location', self.gf('django.db.models.fields.related.ForeignKey')(related_name='inventory_objects', null=True, to=orm['inventory.InventoryObjectLocation'])),
        ))
        db.send_create_signal(u'inventory', ['InventoryObject'])

        # Adding M2M table for field label on 'InventoryObject'
        db.create_table(u'inventory_inventoryobject_label', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('inventoryobject', models.ForeignKey(orm[u'inventory.inventoryobject'], null=False)),
            ('inventoryobjectlabel', models.ForeignKey(orm[u'inventory.inventoryobjectlabel'], null=False))
        ))
        db.create_unique(u'inventory_inventoryobject_label', ['inventoryobject_id', 'inventoryobjectlabel_id'])

        # Adding M2M table for field l2network on 'InventoryObject'
        db.create_table(u'inventory_inventoryobject_l2network', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('inventoryobject', models.ForeignKey(orm[u'inventory.inventoryobject'], null=False)),
            ('l2network', models.ForeignKey(orm[u'inventory.l2network'], null=False))
        ))
        db.create_unique(u'inventory_inventoryobject_l2network', ['inventoryobject_id', 'l2network_id'])

        # Adding M2M table for field ipv4network on 'InventoryObject'
        db.create_table(u'inventory_inventoryobject_ipv4network', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('inventoryobject', models.ForeignKey(orm[u'inventory.inventoryobject'], null=False)),
            ('ipv4network', models.ForeignKey(orm[u'inventory.ipv4network'], null=False))
        ))
        db.create_unique(u'inventory_inventoryobject_ipv4network', ['inventoryobject_id', 'ipv4network_id'])

        # Adding model 'InventoryObjectCredential'
        db.create_table(u'inventory_inventoryobjectcredential', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('modified', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('active', self.gf('django.db.models.fields.BooleanField')(default=True, db_index=True)),
            ('added_by', self.gf('django.db.models.fields.CharField')(max_length=64, null=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('context', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('value', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('inventory_object', self.gf('django.db.models.fields.related.ForeignKey')(related_name='inventory_objects', to=orm['inventory.InventoryObject'])),
        ))
        db.send_create_signal(u'inventory', ['InventoryObjectCredential'])

        # Adding unique constraint on 'InventoryObjectCredential', fields ['name', 'context', 'inventory_object']
        db.create_unique(u'inventory_inventoryobjectcredential', ['name', 'context', 'inventory_object_id'])

        # Adding model 'InventoryObjectAttribute'
        db.create_table(u'inventory_inventoryobjectattribute', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('modified', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('active', self.gf('django.db.models.fields.BooleanField')(default=True, db_index=True)),
            ('added_by', self.gf('django.db.models.fields.CharField')(max_length=64, null=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=254)),
            ('value', self.gf('django.db.models.fields.TextField')()),
            ('object', self.gf('django.db.models.fields.related.ForeignKey')(related_name='attributes', to=orm['inventory.InventoryObject'])),
        ))
        db.send_create_signal(u'inventory', ['InventoryObjectAttribute'])

        # Adding unique constraint on 'InventoryObjectAttribute', fields ['name', 'object']
        db.create_unique(u'inventory_inventoryobjectattribute', ['name', 'object_id'])


    def backwards(self, orm):
        # Removing unique constraint on 'InventoryObjectAttribute', fields ['name', 'object']
        db.delete_unique(u'inventory_inventoryobjectattribute', ['name', 'object_id'])

        # Removing unique constraint on 'InventoryObjectCredential', fields ['name', 'context', 'inventory_object']
        db.delete_unique(u'inventory_inventoryobjectcredential', ['name', 'context', 'inventory_object_id'])

        # Removing unique constraint on 'IPv4Network', fields ['address', 'netmask']
        db.delete_unique(u'inventory_ipv4network', ['address', 'netmask'])

        # Deleting model 'InventoryObjectLocation'
        db.delete_table(u'inventory_inventoryobjectlocation')

        # Deleting model 'L2Network'
        db.delete_table(u'inventory_l2network')

        # Deleting model 'IPv4Network'
        db.delete_table(u'inventory_ipv4network')

        # Deleting model 'InventoryObjectType'
        db.delete_table(u'inventory_inventoryobjecttype')

        # Deleting model 'InventoryObjectLabel'
        db.delete_table(u'inventory_inventoryobjectlabel')

        # Deleting model 'InventoryObject'
        db.delete_table(u'inventory_inventoryobject')

        # Removing M2M table for field label on 'InventoryObject'
        db.delete_table('inventory_inventoryobject_label')

        # Removing M2M table for field l2network on 'InventoryObject'
        db.delete_table('inventory_inventoryobject_l2network')

        # Removing M2M table for field ipv4network on 'InventoryObject'
        db.delete_table('inventory_inventoryobject_ipv4network')

        # Deleting model 'InventoryObjectCredential'
        db.delete_table(u'inventory_inventoryobjectcredential')

        # Deleting model 'InventoryObjectAttribute'
        db.delete_table(u'inventory_inventoryobjectattribute')


    models = {
        u'inventory.inventoryobject': {
            'Meta': {'ordering': "('-created',)", 'object_name': 'InventoryObject'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ipv4network': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'related_name': "'inventory_objects'", 'null': 'True', 'to': u"orm['inventory.IPv4Network']"}),
            'l2network': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'related_name': "'inventory_objects'", 'null': 'True', 'to': u"orm['inventory.L2Network']"}),
            'label': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'inventory_objects'", 'symmetrical': 'False', 'to': u"orm['inventory.InventoryObjectLabel']"}),
            'location': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'inventory_objects'", 'null': 'True', 'to': u"orm['inventory.InventoryObjectLocation']"}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '254'}),
            'type': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'inventory_objects'", 'null': 'True', 'to': u"orm['inventory.InventoryObjectType']"})
        },
        u'inventory.inventoryobjectattribute': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('name', 'object'),)", 'object_name': 'InventoryObjectAttribute'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '254'}),
            'object': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'attributes'", 'to': u"orm['inventory.InventoryObject']"}),
            'value': ('django.db.models.fields.TextField', [], {})
        },
        u'inventory.inventoryobjectcredential': {
            'Meta': {'unique_together': "(('name', 'context', 'inventory_object'),)", 'object_name': 'InventoryObjectCredential'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'context': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'inventory_object': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'inventory_objects'", 'to': u"orm['inventory.InventoryObject']"}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'value': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        u'inventory.inventoryobjectlabel': {
            'Meta': {'object_name': 'InventoryObjectLabel'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '64'}),
            'type': ('django.db.models.fields.CharField', [], {'default': "'GR'", 'max_length': '2'})
        },
        u'inventory.inventoryobjectlocation': {
            'Meta': {'object_name': 'InventoryObjectLocation'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'fullname': ('django.db.models.fields.CharField', [], {'max_length': '254'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'shortname': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '32'})
        },
        u'inventory.inventoryobjecttype': {
            'Meta': {'object_name': 'InventoryObjectType'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '254'})
        },
        u'inventory.ipv4network': {
            'Meta': {'ordering': "('address',)", 'unique_together': "(('address', 'netmask'),)", 'object_name': 'IPv4Network'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'address': ('django.db.models.fields.CharField', [], {'max_length': '15'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'gateway': ('django.db.models.fields.CharField', [], {'max_length': '15'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'l2network': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'ipv4_networks'", 'null': 'True', 'to': u"orm['inventory.L2Network']"}),
            'location': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'ipv4_networks'", 'null': 'True', 'to': u"orm['inventory.InventoryObjectLocation']"}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'netmask': ('django.db.models.fields.CharField', [], {'max_length': '15'})
        },
        u'inventory.l2network': {
            'Meta': {'object_name': 'L2Network'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '254'}),
            'vlanid': ('django.db.models.fields.IntegerField', [], {'max_length': '5'})
        }
    }

    complete_apps = ['inventory']
