# -*- coding: utf-8 -*-
# flake8: noqa
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding index on 'InventoryObject', fields ['name']
        db.create_index(u'inventory_inventoryobject', ['name'])


    def backwards(self, orm):
        # Removing index on 'InventoryObject', fields ['name']
        db.delete_index(u'inventory_inventoryobject', ['name'])


    models = {
        u'inventory.inventoryobject': {
            'Meta': {'ordering': "('-created',)", 'object_name': 'InventoryObject'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ipv4network': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'related_name': "'inventory_objects'", 'null': 'True', 'to': u"orm['inventory.IPv4Network']"}),
            'l2network': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'related_name': "'inventory_objects'", 'null': 'True', 'to': u"orm['inventory.L2Network']"}),
            'label': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'inventory_objects'", 'symmetrical': 'False', 'to': u"orm['inventory.InventoryObjectLabel']"}),
            'location': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'inventory_objects'", 'null': 'True', 'to': u"orm['inventory.InventoryObjectLocation']"}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '254', 'db_index': 'True'}),
            'type': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'inventory_objects'", 'null': 'True', 'to': u"orm['inventory.InventoryObjectType']"})
        },
        u'inventory.inventoryobjectattribute': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('name', 'object'),)", 'object_name': 'InventoryObjectAttribute'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '254'}),
            'object': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'attributes'", 'to': u"orm['inventory.InventoryObject']"}),
            'value': ('django.db.models.fields.TextField', [], {})
        },
        u'inventory.inventoryobjectcredential': {
            'Meta': {'unique_together': "(('name', 'context', 'inventory_object'),)", 'object_name': 'InventoryObjectCredential'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'context': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'inventory_object': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'inventory_objects'", 'to': u"orm['inventory.InventoryObject']"}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'value': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        u'inventory.inventoryobjectlabel': {
            'Meta': {'object_name': 'InventoryObjectLabel'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '64'}),
            'type': ('django.db.models.fields.CharField', [], {'default': "'GR'", 'max_length': '2'})
        },
        u'inventory.inventoryobjectlocation': {
            'Meta': {'object_name': 'InventoryObjectLocation'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'fullname': ('django.db.models.fields.CharField', [], {'max_length': '254'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'shortname': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '32'})
        },
        u'inventory.inventoryobjecttype': {
            'Meta': {'object_name': 'InventoryObjectType'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '254'})
        },
        u'inventory.ipv4network': {
            'Meta': {'ordering': "('address',)", 'unique_together': "(('address', 'netmask'),)", 'object_name': 'IPv4Network'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'address': ('django.db.models.fields.CharField', [], {'max_length': '15'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'gateway': ('django.db.models.fields.CharField', [], {'max_length': '15'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'l2network': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'ipv4_networks'", 'null': 'True', 'to': u"orm['inventory.L2Network']"}),
            'location': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'ipv4_networks'", 'null': 'True', 'to': u"orm['inventory.InventoryObjectLocation']"}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'netmask': ('django.db.models.fields.CharField', [], {'max_length': '15'})
        },
        u'inventory.l2network': {
            'Meta': {'object_name': 'L2Network'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '254'}),
            'vlanid': ('django.db.models.fields.IntegerField', [], {'max_length': '5'})
        }
    }

    complete_apps = ['inventory']
