# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'Lab'
        db.create_table(u'inventory_lab', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(blank=True, auto_now_add=True)),
            ('modified', self.gf('django.db.models.fields.DateTimeField')(blank=True, auto_now=True)),
            ('active', self.gf('django.db.models.fields.BooleanField')(default=True, db_index=True)),
            ('added_by', self.gf('django.db.models.fields.CharField')(max_length=64, blank=True, null=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=255)),
        ))
        db.send_create_signal(u'inventory', ['Lab'])

        # Adding M2M table for field vlans on 'Lab'
        db.create_table(u'inventory_lab_vlans', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('lab', models.ForeignKey(orm[u'inventory.lab'], null=False)),
            ('l2network', models.ForeignKey(orm[u'inventory.l2network'], null=False))
        ))
        db.create_unique(u'inventory_lab_vlans', ['lab_id', 'l2network_id'])

        # Adding M2M table for field responsible on 'Lab'
        db.create_table(u'inventory_lab_responsible', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('lab', models.ForeignKey(orm[u'inventory.lab'], null=False)),
            ('user', models.ForeignKey(orm[u'auth.user'], null=False))
        ))
        db.create_unique(u'inventory_lab_responsible', ['lab_id', 'user_id'])

        # Adding M2M table for field locations on 'Lab'
        db.create_table(u'inventory_lab_locations', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('lab', models.ForeignKey(orm[u'inventory.lab'], null=False)),
            ('inventoryobjectlocation', models.ForeignKey(orm[u'inventory.inventoryobjectlocation'], null=False))
        ))
        db.create_unique(u'inventory_lab_locations', ['lab_id', 'inventoryobjectlocation_id'])

        # Adding M2M table for field inventory_objects on 'Lab'
        db.create_table(u'inventory_lab_inventory_objects', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('lab', models.ForeignKey(orm[u'inventory.lab'], null=False)),
            ('inventoryobject', models.ForeignKey(orm[u'inventory.inventoryobject'], null=False))
        ))
        db.create_unique(u'inventory_lab_inventory_objects', ['lab_id', 'inventoryobject_id'])


    def backwards(self, orm):
        # Deleting model 'Lab'
        db.delete_table(u'inventory_lab')

        # Removing M2M table for field vlans on 'Lab'
        db.delete_table('inventory_lab_vlans')

        # Removing M2M table for field responsible on 'Lab'
        db.delete_table('inventory_lab_responsible')

        # Removing M2M table for field locations on 'Lab'
        db.delete_table('inventory_lab_locations')

        # Removing M2M table for field inventory_objects on 'Lab'
        db.delete_table('inventory_lab_inventory_objects')


    models = {
        u'auth.group': {
            'Meta': {'object_name': 'Group'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '80', 'unique': 'True'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'to': u"orm['auth.Permission']", 'blank': 'True'})
        },
        u'auth.permission': {
            'Meta': {'unique_together': "((u'content_type', u'codename'),)", 'ordering': "(u'content_type__app_label', u'content_type__model', u'codename')", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['contenttypes.ContentType']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'to': u"orm['auth.Group']", 'blank': 'True', 'related_name': "u'user_set'"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'to': u"orm['auth.Permission']", 'blank': 'True', 'related_name': "u'user_set'"}),
            'username': ('django.db.models.fields.CharField', [], {'max_length': '30', 'unique': 'True'})
        },
        u'contenttypes.contenttype': {
            'Meta': {'object_name': 'ContentType', 'unique_together': "(('app_label', 'model'),)", 'ordering': "('name',)", 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        u'inventory.inventoryobject': {
            'Meta': {'ordering': "('-created',)", 'object_name': 'InventoryObject'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'blank': 'True', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            'dcim_id': ('django.db.models.fields.IntegerField', [], {'unique': 'True', 'blank': 'True', 'null': 'True', 'db_index': 'True'}),
            'dcim_label': ('inventory.fields.NullableCharField', [], {'max_length': '255', 'blank': 'True', 'null': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ipmi_host': ('inventory.fields.NullableCharField', [], {'max_length': '255', 'blank': 'True', 'null': 'True', 'unique': 'True'}),
            'ipmi_password': ('inventory.fields.NullableCharField', [], {'max_length': '255', 'blank': 'True', 'null': 'True'}),
            'ipmi_user': ('inventory.fields.NullableCharField', [], {'max_length': '255', 'blank': 'True', 'null': 'True'}),
            'ipv4network': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'related_name': "'inventory_objects'", 'to': u"orm['inventory.IPv4Network']", 'blank': 'True', 'null': 'True'}),
            'l2network': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'related_name': "'inventory_objects'", 'to': u"orm['inventory.L2Network']", 'blank': 'True', 'null': 'True'}),
            'label': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'to': u"orm['inventory.InventoryObjectLabel']", 'blank': 'True', 'related_name': "'inventory_objects'"}),
            'location': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'to': u"orm['inventory.InventoryObjectLocation']", 'null': 'True', 'related_name': "'inventory_objects'"}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('inventory.fields.NullableCharField', [], {'max_length': '254', 'unique': 'True', 'blank': 'True', 'null': 'True', 'db_index': 'True'}),
            'orphan_dcim_id': ('django.db.models.fields.IntegerField', [], {'blank': 'True', 'null': 'True', 'db_index': 'True'}),
            'responsible': ('django.db.models.fields.related.ManyToManyField', [], {'db_index': 'True', 'symmetrical': 'False', 'to': u"orm['auth.User']", 'blank': 'True', 'related_name': "'inventory_objects'"}),
            'type': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'to': u"orm['inventory.InventoryObjectType']", 'null': 'True', 'related_name': "'inventory_objects'"})
        },
        u'inventory.inventoryobjectattribute': {
            'Meta': {'unique_together': "(('name', 'object'),)", 'ordering': "('name',)", 'object_name': 'InventoryObjectAttribute'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'blank': 'True', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '254'}),
            'object': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['inventory.InventoryObject']", 'related_name': "'attributes'"}),
            'value': ('django.db.models.fields.TextField', [], {})
        },
        u'inventory.inventoryobjectcredential': {
            'Meta': {'unique_together': "(('name', 'context', 'inventory_object'),)", 'object_name': 'InventoryObjectCredential'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'blank': 'True', 'null': 'True'}),
            'context': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'inventory_object': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['inventory.InventoryObject']", 'related_name': "'inventory_objects'"}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'value': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        u'inventory.inventoryobjectlabel': {
            'Meta': {'object_name': 'InventoryObjectLabel'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'blank': 'True', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64', 'unique': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'default': "'GY'", 'max_length': '2'})
        },
        u'inventory.inventoryobjectlocation': {
            'Meta': {'object_name': 'InventoryObjectLocation'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'blank': 'True', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            'fullname': ('django.db.models.fields.CharField', [], {'max_length': '254'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'shortname': ('django.db.models.fields.CharField', [], {'max_length': '32', 'unique': 'True'})
        },
        u'inventory.inventoryobjecttype': {
            'Meta': {'object_name': 'InventoryObjectType'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'blank': 'True', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '254', 'unique': 'True'})
        },
        u'inventory.ipv4network': {
            'Meta': {'unique_together': "(('address', 'netmask'),)", 'ordering': "('address',)", 'object_name': 'IPv4Network'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'blank': 'True', 'null': 'True'}),
            'address': ('django.db.models.fields.CharField', [], {'max_length': '15'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            'gateway': ('django.db.models.fields.CharField', [], {'max_length': '15'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'l2network': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['inventory.L2Network']", 'null': 'True', 'related_name': "'ipv4_networks'"}),
            'location': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['inventory.InventoryObjectLocation']", 'null': 'True', 'related_name': "'ipv4_networks'"}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'netmask': ('django.db.models.fields.CharField', [], {'max_length': '15'})
        },
        u'inventory.l2address': {
            'Meta': {'object_name': 'L2Address'},
            'address': ('django.db.models.fields.CharField', [], {'max_length': '12', 'unique': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'inventory_object': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['inventory.InventoryObject']", 'null': 'True', 'related_name': "'l2addresses'"})
        },
        u'inventory.l2network': {
            'Meta': {'ordering': "('-modified',)", 'object_name': 'L2Network'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'blank': 'True', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '254'}),
            'vlanid': ('django.db.models.fields.IntegerField', [], {'max_length': '5'})
        },
        u'inventory.lab': {
            'Meta': {'object_name': 'Lab'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'blank': 'True', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'inventory_objects': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'to': u"orm['inventory.InventoryObject']", 'blank': 'True', 'related_name': "'labs'"}),
            'locations': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'to': u"orm['inventory.InventoryObjectLocation']", 'blank': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'responsible': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'to': u"orm['auth.User']", 'blank': 'True'}),
            'vlans': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'to': u"orm['inventory.L2Network']", 'blank': 'True', 'null': 'True'})
        }
    }

    complete_apps = ['inventory']