# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import DataMigration
from django.db import models

class Migration(DataMigration):

    def forwards(self, orm):
        "Write your forwards methods here."
        # Note: Remember to use orm['appname.ModelName'] rather than "from appname.models..."
        for location_fact in orm.InventoryObjectLocation.objects.all():
            location, _ = orm.Location.objects.get_or_create(name=location_fact.fullname or location_fact.shortname)
            location_fact.location = location
            location_fact.fullname = ''
            location_fact.save()

    def backwards(self, orm):
        "Write your backwards methods here."

        for location_fact in orm.InventoryObjectLocation.objects.all():
            if location_fact.location:
                location_fact.fullname = location_fact.location.name
                location_fact.location = None
                location_fact.save()

    models = {
        u'auth.group': {
            'Meta': {'object_name': 'Group'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'to': u"orm['auth.Permission']", 'symmetrical': 'False'})
        },
        u'auth.permission': {
            'Meta': {'object_name': 'Permission', 'unique_together': "((u'content_type', u'codename'),)", 'ordering': "(u'content_type__app_label', u'content_type__model', u'codename')"},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['contenttypes.ContentType']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'blank': 'True', 'max_length': '75'}),
            'first_name': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '30'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'to': u"orm['auth.Group']", 'symmetrical': 'False', 'related_name': "u'user_set'"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '30'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'to': u"orm['auth.Permission']", 'symmetrical': 'False', 'related_name': "u'user_set'"}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        u'contenttypes.contenttype': {
            'Meta': {'object_name': 'ContentType', 'unique_together': "(('app_label', 'model'),)", 'ordering': "('name',)", 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        u'inventory.inventoryobject': {
            'Meta': {'object_name': 'InventoryObject', 'ordering': "('-created',)"},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            'dcim_id': ('django.db.models.fields.IntegerField', [], {'blank': 'True', 'unique': 'True', 'db_index': 'True', 'null': 'True'}),
            'dcim_label': ('inventory.fields.NullableCharField', [], {'blank': 'True', 'max_length': '255', 'null': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ipmi_host': ('inventory.fields.NullableCharField', [], {'blank': 'True', 'unique': 'True', 'max_length': '255', 'null': 'True'}),
            'ipmi_password': ('inventory.fields.NullableCharField', [], {'blank': 'True', 'max_length': '255', 'null': 'True'}),
            'ipmi_user': ('inventory.fields.NullableCharField', [], {'blank': 'True', 'max_length': '255', 'null': 'True'}),
            'ipv4network': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'to': u"orm['inventory.IPv4Network']", 'symmetrical': 'False', 'related_name': "'inventory_objects'", 'null': 'True'}),
            'l2network': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'to': u"orm['inventory.L2Network']", 'symmetrical': 'False', 'related_name': "'inventory_objects'", 'null': 'True'}),
            'label': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'to': u"orm['inventory.InventoryObjectLabel']", 'symmetrical': 'False', 'related_name': "'inventory_objects'"}),
            'location': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'to': u"orm['inventory.InventoryObjectLocation']", 'related_name': "'inventory_objects'", 'null': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('inventory.fields.NullableCharField', [], {'blank': 'True', 'unique': 'True', 'max_length': '254', 'db_index': 'True', 'null': 'True'}),
            'orphan_dcim_id': ('django.db.models.fields.IntegerField', [], {'blank': 'True', 'db_index': 'True', 'null': 'True'}),
            'responsible': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'to': u"orm['auth.User']", 'symmetrical': 'False', 'related_name': "'inventory_objects'", 'db_index': 'True'}),
            'type': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'to': u"orm['inventory.InventoryObjectType']", 'related_name': "'inventory_objects'", 'null': 'True'})
        },
        u'inventory.inventoryobjectattribute': {
            'Meta': {'object_name': 'InventoryObjectAttribute', 'unique_together': "(('name', 'object'),)", 'ordering': "('name',)"},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '254'}),
            'object': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['inventory.InventoryObject']", 'related_name': "'attributes'"}),
            'value': ('django.db.models.fields.TextField', [], {})
        },
        u'inventory.inventoryobjectcredential': {
            'Meta': {'object_name': 'InventoryObjectCredential', 'unique_together': "(('name', 'context', 'inventory_object'),)"},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '64', 'null': 'True'}),
            'context': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'inventory_object': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['inventory.InventoryObject']", 'related_name': "'inventory_objects'"}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'value': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        u'inventory.inventoryobjectlabel': {
            'Meta': {'object_name': 'InventoryObjectLabel', 'ordering': "('-modified',)"},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '64'}),
            'type': ('django.db.models.fields.CharField', [], {'default': "'GY'", 'max_length': '2'})
        },
        u'inventory.inventoryobjectlocation': {
            'Meta': {'object_name': 'InventoryObjectLocation', 'ordering': "('-modified',)"},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            'fullname': ('django.db.models.fields.CharField', [], {'max_length': '254'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'location': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'to': u"orm['inventory.Location']", 'related_name': "'facts'", 'null': 'True', 'on_delete': 'models.SET_NULL'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'shortname': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '32'})
        },
        u'inventory.inventoryobjecttype': {
            'Meta': {'object_name': 'InventoryObjectType', 'ordering': "('-modified',)"},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '254'})
        },
        u'inventory.ipv4network': {
            'Meta': {'object_name': 'IPv4Network', 'unique_together': "(('address', 'netmask'),)", 'ordering': "('address',)"},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '64', 'null': 'True'}),
            'address': ('django.db.models.fields.CharField', [], {'max_length': '15'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            'gateway': ('django.db.models.fields.CharField', [], {'max_length': '15'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'l2network': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['inventory.L2Network']", 'related_name': "'ipv4_networks'", 'null': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'netmask': ('django.db.models.fields.CharField', [], {'max_length': '15'})
        },
        u'inventory.l2address': {
            'Meta': {'object_name': 'L2Address'},
            'address': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '12'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'inventory_object': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['inventory.InventoryObject']", 'related_name': "'l2addresses'", 'null': 'True'})
        },
        u'inventory.l2network': {
            'Meta': {'object_name': 'L2Network'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '254'}),
            'vlanid': ('django.db.models.fields.IntegerField', [], {'max_length': '5'})
        },
        u'inventory.lab': {
            'Meta': {'object_name': 'Lab', 'ordering': "('-modified',)"},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'inventory_objects': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'to': u"orm['inventory.InventoryObject']", 'symmetrical': 'False', 'related_name': "'labs'"}),
            'locations': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'to': u"orm['inventory.InventoryObjectLocation']", 'symmetrical': 'False'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'responsible': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'to': u"orm['auth.User']", 'symmetrical': 'False'}),
            'vlans': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'to': u"orm['inventory.L2Network']", 'symmetrical': 'False', 'null': 'True'})
        },
        u'inventory.location': {
            'Meta': {'object_name': 'Location', 'ordering': "('-modified',)"},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '254'})
        }
    }

    complete_apps = ['inventory']
    symmetrical = True
