# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Removing M2M table for field locations on 'Lab'
        db.delete_table('inventory_lab_locations')


    def backwards(self, orm):
        # Adding M2M table for field locations on 'Lab'
        db.create_table(u'inventory_lab_locations', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('lab', models.ForeignKey(orm[u'inventory.lab'], null=False)),
            ('inventoryobjectlocation', models.ForeignKey(orm[u'inventory.inventoryobjectlocation'], null=False))
        ))
        db.create_unique(u'inventory_lab_locations', ['lab_id', 'inventoryobjectlocation_id'])


    models = {
        u'auth.group': {
            'Meta': {'object_name': 'Group'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '80', 'unique': 'True'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'to': u"orm['auth.Permission']", 'symmetrical': 'False'})
        },
        u'auth.permission': {
            'Meta': {'object_name': 'Permission', 'ordering': "(u'content_type__app_label', u'content_type__model', u'codename')", 'unique_together': "((u'content_type', u'codename'),)"},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['contenttypes.ContentType']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'blank': 'True', 'max_length': '75'}),
            'first_name': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '30'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'to': u"orm['auth.Group']", 'symmetrical': 'False', 'related_name': "u'user_set'"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '30'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'to': u"orm['auth.Permission']", 'symmetrical': 'False', 'related_name': "u'user_set'"}),
            'username': ('django.db.models.fields.CharField', [], {'max_length': '30', 'unique': 'True'})
        },
        u'contenttypes.contenttype': {
            'Meta': {'db_table': "'django_content_type'", 'object_name': 'ContentType', 'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        u'inventory.inventoryobject': {
            'Meta': {'object_name': 'InventoryObject', 'ordering': "('-created',)"},
            'active': ('django.db.models.fields.BooleanField', [], {'db_index': 'True', 'default': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            'dcim_id': ('django.db.models.fields.IntegerField', [], {'blank': 'True', 'unique': 'True', 'db_index': 'True', 'null': 'True'}),
            'dcim_label': ('inventory.fields.NullableCharField', [], {'blank': 'True', 'max_length': '255', 'null': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ipmi_host': ('inventory.fields.NullableCharField', [], {'blank': 'True', 'max_length': '255', 'unique': 'True', 'null': 'True'}),
            'ipmi_password': ('inventory.fields.NullableCharField', [], {'blank': 'True', 'max_length': '255', 'null': 'True'}),
            'ipmi_user': ('inventory.fields.NullableCharField', [], {'blank': 'True', 'max_length': '255', 'null': 'True'}),
            'ipv4network': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'null': 'True', 'to': u"orm['inventory.IPv4Network']", 'symmetrical': 'False', 'related_name': "'inventory_objects'"}),
            'l2network': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'null': 'True', 'to': u"orm['inventory.L2Network']", 'symmetrical': 'False', 'related_name': "'inventory_objects'"}),
            'label': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'to': u"orm['inventory.InventoryObjectLabel']", 'symmetrical': 'False', 'related_name': "'inventory_objects'"}),
            'location': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'null': 'True', 'to': u"orm['inventory.InventoryObjectLocation']", 'related_name': "'inventory_objects'"}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('inventory.fields.NullableCharField', [], {'blank': 'True', 'db_index': 'True', 'max_length': '254', 'unique': 'True', 'null': 'True'}),
            'orphan_dcim_id': ('django.db.models.fields.IntegerField', [], {'blank': 'True', 'db_index': 'True', 'null': 'True'}),
            'responsible': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'to': u"orm['auth.User']", 'symmetrical': 'False', 'db_index': 'True', 'related_name': "'inventory_objects'"}),
            'type': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'null': 'True', 'to': u"orm['inventory.InventoryObjectType']", 'related_name': "'inventory_objects'"})
        },
        u'inventory.inventoryobjectattribute': {
            'Meta': {'object_name': 'InventoryObjectAttribute', 'ordering': "('name',)", 'unique_together': "(('name', 'object'),)"},
            'active': ('django.db.models.fields.BooleanField', [], {'db_index': 'True', 'default': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '254'}),
            'object': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['inventory.InventoryObject']", 'related_name': "'attributes'"}),
            'value': ('django.db.models.fields.TextField', [], {})
        },
        u'inventory.inventoryobjectcredential': {
            'Meta': {'object_name': 'InventoryObjectCredential', 'unique_together': "(('name', 'context', 'inventory_object'),)"},
            'active': ('django.db.models.fields.BooleanField', [], {'db_index': 'True', 'default': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '64', 'null': 'True'}),
            'context': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'inventory_object': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['inventory.InventoryObject']", 'related_name': "'inventory_objects'"}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'value': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        u'inventory.inventoryobjectlabel': {
            'Meta': {'object_name': 'InventoryObjectLabel'},
            'active': ('django.db.models.fields.BooleanField', [], {'db_index': 'True', 'default': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64', 'unique': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '2', 'default': "'GY'"})
        },
        u'inventory.inventoryobjectlocation': {
            'Meta': {'object_name': 'InventoryObjectLocation', 'ordering': "('shortname',)"},
            'active': ('django.db.models.fields.BooleanField', [], {'db_index': 'True', 'default': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'location': ('django.db.models.fields.related.ForeignKey', [], {'on_delete': 'models.SET_NULL', 'blank': 'True', 'null': 'True', 'to': u"orm['inventory.Location']", 'related_name': "'facts'"}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'shortname': ('django.db.models.fields.CharField', [], {'max_length': '32', 'unique': 'True'})
        },
        u'inventory.inventoryobjecttype': {
            'Meta': {'object_name': 'InventoryObjectType'},
            'active': ('django.db.models.fields.BooleanField', [], {'db_index': 'True', 'default': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '254', 'unique': 'True'})
        },
        u'inventory.ipv4network': {
            'Meta': {'object_name': 'IPv4Network', 'ordering': "('address',)", 'unique_together': "(('address', 'netmask'),)"},
            'active': ('django.db.models.fields.BooleanField', [], {'db_index': 'True', 'default': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '64', 'null': 'True'}),
            'address': ('django.db.models.fields.CharField', [], {'max_length': '15'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            'gateway': ('django.db.models.fields.CharField', [], {'max_length': '15'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'l2network': ('django.db.models.fields.related.ForeignKey', [], {'null': 'True', 'to': u"orm['inventory.L2Network']", 'related_name': "'ipv4_networks'"}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'netmask': ('django.db.models.fields.CharField', [], {'max_length': '15'})
        },
        u'inventory.l2address': {
            'Meta': {'object_name': 'L2Address'},
            'address': ('django.db.models.fields.CharField', [], {'max_length': '12', 'unique': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'inventory_object': ('django.db.models.fields.related.ForeignKey', [], {'null': 'True', 'to': u"orm['inventory.InventoryObject']", 'related_name': "'l2addresses'"})
        },
        u'inventory.l2network': {
            'Meta': {'object_name': 'L2Network'},
            'active': ('django.db.models.fields.BooleanField', [], {'db_index': 'True', 'default': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '254'}),
            'vlanid': ('django.db.models.fields.IntegerField', [], {'max_length': '5'})
        },
        u'inventory.lab': {
            'Meta': {'object_name': 'Lab'},
            'active': ('django.db.models.fields.BooleanField', [], {'db_index': 'True', 'default': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'inventory_objects': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'to': u"orm['inventory.InventoryObject']", 'symmetrical': 'False', 'related_name': "'labs'"}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'responsible': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'to': u"orm['auth.User']", 'symmetrical': 'False'}),
            'vlans': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'to': u"orm['inventory.L2Network']", 'symmetrical': 'False', 'null': 'True'})
        },
        u'inventory.location': {
            'Meta': {'object_name': 'Location', 'ordering': "('name',)"},
            'active': ('django.db.models.fields.BooleanField', [], {'db_index': 'True', 'default': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '64', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '254', 'unique': 'True'})
        }
    }

    complete_apps = ['inventory']