# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding field 'InventoryObject.bugs'
        db.add_column(u'inventory_inventoryobject', 'bugs',
                      self.gf('django.db.models.fields.CommaSeparatedIntegerField')(max_length=254, blank=True, null=True),
                      keep_default=False)

        # Adding field 'Lab.bugs'
        db.add_column(u'inventory_lab', 'bugs',
                      self.gf('django.db.models.fields.CommaSeparatedIntegerField')(max_length=254, blank=True, null=True),
                      keep_default=False)


    def backwards(self, orm):
        # Deleting field 'InventoryObject.bugs'
        db.delete_column(u'inventory_inventoryobject', 'bugs')

        # Deleting field 'Lab.bugs'
        db.delete_column(u'inventory_lab', 'bugs')


    models = {
        u'auth.group': {
            'Meta': {'object_name': 'Group'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'blank': 'True', 'to': u"orm['auth.Permission']"})
        },
        u'auth.permission': {
            'Meta': {'object_name': 'Permission', 'ordering': "(u'content_type__app_label', u'content_type__model', u'codename')", 'unique_together': "((u'content_type', u'codename'),)"},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['contenttypes.ContentType']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "u'user_set'", 'symmetrical': 'False', 'blank': 'True', 'to': u"orm['auth.Group']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "u'user_set'", 'symmetrical': 'False', 'blank': 'True', 'to': u"orm['auth.Permission']"}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        u'contenttypes.contenttype': {
            'Meta': {'object_name': 'ContentType', 'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        u'inventory.facterlocation': {
            'Meta': {'object_name': 'FacterLocation'},
            'active': ('django.db.models.fields.BooleanField', [], {'db_index': 'True', 'default': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'blank': 'True', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            'fact': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '32'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'location': ('django.db.models.fields.related.ForeignKey', [], {'on_delete': 'models.SET_NULL', 'related_name': "'facts'", 'null': 'True', 'blank': 'True', 'to': u"orm['inventory.Location']"}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'inventory.inventoryobject': {
            'Meta': {'object_name': 'InventoryObject', 'ordering': "('-created',)"},
            'active': ('django.db.models.fields.BooleanField', [], {'db_index': 'True', 'default': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'blank': 'True', 'null': 'True'}),
            'bugs': ('django.db.models.fields.CommaSeparatedIntegerField', [], {'max_length': '254', 'blank': 'True', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            'dcim_id': ('django.db.models.fields.IntegerField', [], {'unique': 'True', 'db_index': 'True', 'blank': 'True', 'null': 'True'}),
            'dcim_label': ('inventory.fields.NullableCharField', [], {'max_length': '255', 'blank': 'True', 'null': 'True'}),
            'facter_location': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'inventory_objects'", 'null': 'True', 'blank': 'True', 'to': u"orm['inventory.FacterLocation']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ipmi_host': ('inventory.fields.NullableCharField', [], {'unique': 'True', 'max_length': '255', 'blank': 'True', 'null': 'True'}),
            'ipmi_password': ('inventory.fields.NullableCharField', [], {'max_length': '255', 'blank': 'True', 'null': 'True'}),
            'ipmi_user': ('inventory.fields.NullableCharField', [], {'max_length': '255', 'blank': 'True', 'null': 'True'}),
            'ipv4network': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'inventory_objects'", 'symmetrical': 'False', 'null': 'True', 'blank': 'True', 'to': u"orm['inventory.IPv4Network']"}),
            'l2network': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'inventory_objects'", 'symmetrical': 'False', 'null': 'True', 'blank': 'True', 'to': u"orm['inventory.L2Network']"}),
            'label': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'inventory_objects'", 'symmetrical': 'False', 'blank': 'True', 'to': u"orm['inventory.InventoryObjectLabel']"}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('inventory.fields.NullableCharField', [], {'unique': 'True', 'max_length': '254', 'db_index': 'True', 'blank': 'True', 'null': 'True'}),
            'orphan_dcim_id': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'blank': 'True', 'null': 'True'}),
            'responsible': ('django.db.models.fields.related.ManyToManyField', [], {'db_index': 'True', 'related_name': "'inventory_objects'", 'symmetrical': 'False', 'blank': 'True', 'to': u"orm['auth.User']"}),
            'type': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'inventory_objects'", 'null': 'True', 'blank': 'True', 'to': u"orm['inventory.InventoryObjectType']"})
        },
        u'inventory.inventoryobjectattribute': {
            'Meta': {'object_name': 'InventoryObjectAttribute', 'ordering': "('name',)", 'unique_together': "(('name', 'object'),)"},
            'active': ('django.db.models.fields.BooleanField', [], {'db_index': 'True', 'default': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'blank': 'True', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '254'}),
            'object': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'attributes'", 'to': u"orm['inventory.InventoryObject']"}),
            'value': ('django.db.models.fields.TextField', [], {})
        },
        u'inventory.inventoryobjectcredential': {
            'Meta': {'object_name': 'InventoryObjectCredential', 'unique_together': "(('name', 'context', 'inventory_object'),)"},
            'active': ('django.db.models.fields.BooleanField', [], {'db_index': 'True', 'default': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'blank': 'True', 'null': 'True'}),
            'context': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'inventory_object': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'inventory_objects'", 'to': u"orm['inventory.InventoryObject']"}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'value': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        u'inventory.inventoryobjectlabel': {
            'Meta': {'object_name': 'InventoryObjectLabel'},
            'active': ('django.db.models.fields.BooleanField', [], {'db_index': 'True', 'default': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'blank': 'True', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '64'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '2', 'default': "'GY'"})
        },
        u'inventory.inventoryobjecttype': {
            'Meta': {'object_name': 'InventoryObjectType'},
            'active': ('django.db.models.fields.BooleanField', [], {'db_index': 'True', 'default': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'blank': 'True', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '254'})
        },
        u'inventory.ipv4network': {
            'Meta': {'object_name': 'IPv4Network', 'ordering': "('address',)", 'unique_together': "(('address', 'netmask'),)"},
            'active': ('django.db.models.fields.BooleanField', [], {'db_index': 'True', 'default': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'blank': 'True', 'null': 'True'}),
            'address': ('django.db.models.fields.CharField', [], {'max_length': '15'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            'gateway': ('django.db.models.fields.CharField', [], {'max_length': '15'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'l2network': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'ipv4_networks'", 'null': 'True', 'to': u"orm['inventory.L2Network']"}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'netmask': ('django.db.models.fields.CharField', [], {'max_length': '15'})
        },
        u'inventory.l2address': {
            'Meta': {'object_name': 'L2Address'},
            'address': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '12'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'inventory_object': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'l2addresses'", 'null': 'True', 'to': u"orm['inventory.InventoryObject']"})
        },
        u'inventory.l2network': {
            'Meta': {'object_name': 'L2Network'},
            'active': ('django.db.models.fields.BooleanField', [], {'db_index': 'True', 'default': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'blank': 'True', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '254'}),
            'vlanid': ('django.db.models.fields.IntegerField', [], {'max_length': '5'})
        },
        u'inventory.lab': {
            'Meta': {'object_name': 'Lab'},
            'active': ('django.db.models.fields.BooleanField', [], {'db_index': 'True', 'default': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'blank': 'True', 'null': 'True'}),
            'bugs': ('django.db.models.fields.CommaSeparatedIntegerField', [], {'max_length': '254', 'blank': 'True', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'inventory_objects': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'labs'", 'symmetrical': 'False', 'blank': 'True', 'to': u"orm['inventory.InventoryObject']"}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'responsible': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'blank': 'True', 'to': u"orm['auth.User']"}),
            'vlans': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'null': 'True', 'blank': 'True', 'to': u"orm['inventory.L2Network']"})
        },
        u'inventory.location': {
            'Meta': {'object_name': 'Location', 'ordering': "('name',)"},
            'active': ('django.db.models.fields.BooleanField', [], {'db_index': 'True', 'default': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'blank': 'True', 'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now_add': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '254'})
        }
    }

    complete_apps = ['inventory']