# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding field 'InventoryObject.dcim_jira_issue'
        db.add_column(u'inventory_inventoryobject', 'dcim_jira_issue',
                      self.gf('django.db.models.fields.CharField')(null=True, max_length=255),
                      keep_default=False)


    def backwards(self, orm):
        # Deleting field 'InventoryObject.dcim_jira_issue'
        db.delete_column(u'inventory_inventoryobject', 'dcim_jira_issue')


    models = {
        u'auth.group': {
            'Meta': {'object_name': 'Group'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Permission']", 'blank': 'True', 'symmetrical': 'False'})
        },
        u'auth.permission': {
            'Meta': {'unique_together': "((u'content_type', u'codename'),)", 'ordering': "(u'content_type__app_label', u'content_type__model', u'codename')", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['contenttypes.ContentType']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'blank': 'True', 'max_length': '75'}),
            'first_name': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '30'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True', 'related_name': "u'user_set'"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'blank': 'True', 'max_length': '30'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True', 'related_name': "u'user_set'"}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        u'contenttypes.contenttype': {
            'Meta': {'db_table': "'django_content_type'", 'unique_together': "(('app_label', 'model'),)", 'ordering': "('name',)", 'object_name': 'ContentType'},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        u'inventory.facterlocation': {
            'Meta': {'object_name': 'FacterLocation'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'null': 'True', 'blank': 'True', 'max_length': '64'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'fact': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '32'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'location': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['inventory.Location']", 'null': 'True', 'on_delete': 'models.SET_NULL', 'related_name': "'facts'", 'blank': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'})
        },
        u'inventory.inventoryobject': {
            'Meta': {'ordering': "('-created',)", 'object_name': 'InventoryObject'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'null': 'True', 'blank': 'True', 'max_length': '64'}),
            'bugs': ('django.db.models.fields.CommaSeparatedIntegerField', [], {'null': 'True', 'blank': 'True', 'max_length': '254'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'dcim_id': ('django.db.models.fields.IntegerField', [], {'unique': 'True', 'null': 'True', 'blank': 'True', 'db_index': 'True'}),
            'dcim_jira_issue': ('django.db.models.fields.CharField', [], {'null': 'True', 'max_length': '255'}),
            'dcim_label': ('inventory.fields.NullableCharField', [], {'null': 'True', 'blank': 'True', 'max_length': '255'}),
            'facter_location': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['inventory.FacterLocation']", 'null': 'True', 'related_name': "'inventory_objects'", 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ipmi_host': ('inventory.fields.NullableCharField', [], {'unique': 'True', 'null': 'True', 'blank': 'True', 'max_length': '255'}),
            'ipmi_password': ('inventory.fields.NullableCharField', [], {'null': 'True', 'blank': 'True', 'max_length': '255'}),
            'ipmi_user': ('inventory.fields.NullableCharField', [], {'null': 'True', 'blank': 'True', 'max_length': '255'}),
            'ipv4network': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['inventory.IPv4Network']", 'symmetrical': 'False', 'null': 'True', 'related_name': "'inventory_objects'", 'blank': 'True'}),
            'l2network': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['inventory.L2Network']", 'symmetrical': 'False', 'null': 'True', 'related_name': "'inventory_objects'", 'blank': 'True'}),
            'label': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['inventory.InventoryObjectLabel']", 'symmetrical': 'False', 'blank': 'True', 'related_name': "'inventory_objects'"}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('inventory.fields.NullableCharField', [], {'unique': 'True', 'null': 'True', 'blank': 'True', 'max_length': '254', 'db_index': 'True'}),
            'orphan_dcim_id': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True', 'db_index': 'True'}),
            'responsible': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.User']", 'symmetrical': 'False', 'blank': 'True', 'related_name': "'inventory_objects'", 'db_index': 'True'}),
            'type': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['inventory.InventoryObjectType']", 'null': 'True', 'related_name': "'inventory_objects'", 'blank': 'True'})
        },
        u'inventory.inventoryobjectattribute': {
            'Meta': {'unique_together': "(('name', 'object'),)", 'ordering': "('name',)", 'object_name': 'InventoryObjectAttribute'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'null': 'True', 'blank': 'True', 'max_length': '64'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '254'}),
            'object': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['inventory.InventoryObject']", 'related_name': "'attributes'"}),
            'value': ('django.db.models.fields.TextField', [], {})
        },
        u'inventory.inventoryobjectcredential': {
            'Meta': {'unique_together': "(('name', 'context', 'inventory_object'),)", 'object_name': 'InventoryObjectCredential'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'null': 'True', 'blank': 'True', 'max_length': '64'}),
            'context': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'inventory_object': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['inventory.InventoryObject']", 'related_name': "'inventory_objects'"}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'value': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        u'inventory.inventoryobjectlabel': {
            'Meta': {'object_name': 'InventoryObjectLabel'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'null': 'True', 'blank': 'True', 'max_length': '64'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '64'}),
            'type': ('django.db.models.fields.CharField', [], {'default': "'GY'", 'max_length': '2'})
        },
        u'inventory.inventoryobjecttype': {
            'Meta': {'object_name': 'InventoryObjectType'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'null': 'True', 'blank': 'True', 'max_length': '64'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '254'})
        },
        u'inventory.ipv4network': {
            'Meta': {'unique_together': "(('address', 'netmask'),)", 'ordering': "('address',)", 'object_name': 'IPv4Network'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'null': 'True', 'blank': 'True', 'max_length': '64'}),
            'address': ('django.db.models.fields.CharField', [], {'max_length': '15'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'gateway': ('django.db.models.fields.CharField', [], {'max_length': '15'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'l2network': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['inventory.L2Network']", 'null': 'True', 'on_delete': 'models.SET_NULL', 'related_name': "'ipv4_networks'", 'blank': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'netmask': ('django.db.models.fields.CharField', [], {'max_length': '15'})
        },
        u'inventory.l2address': {
            'Meta': {'object_name': 'L2Address'},
            'address': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '12'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'inventory_object': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['inventory.InventoryObject']", 'null': 'True', 'related_name': "'l2addresses'"})
        },
        u'inventory.l2network': {
            'Meta': {'object_name': 'L2Network'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'null': 'True', 'blank': 'True', 'max_length': '64'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '254'}),
            'vlanid': ('django.db.models.fields.IntegerField', [], {})
        },
        u'inventory.lab': {
            'Meta': {'object_name': 'Lab'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'null': 'True', 'blank': 'True', 'max_length': '64'}),
            'bugs': ('django.db.models.fields.CommaSeparatedIntegerField', [], {'null': 'True', 'blank': 'True', 'max_length': '254'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'inventory_objects': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['inventory.InventoryObject']", 'symmetrical': 'False', 'blank': 'True', 'related_name': "'labs'"}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'responsible': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.User']", 'blank': 'True', 'symmetrical': 'False'}),
            'vlans': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['inventory.L2Network']", 'null': 'True', 'symmetrical': 'False', 'blank': 'True'})
        },
        u'inventory.location': {
            'Meta': {'ordering': "('name',)", 'object_name': 'Location'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'null': 'True', 'blank': 'True', 'max_length': '64'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'blank': 'True', 'auto_now': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '254'})
        }
    }

    complete_apps = ['inventory']