from django import forms

from inventory.models import Lab
from inventory.views import crud


class LabViewSet(crud.ViewSet):
    model = Lab
    detail_view = crud.DetailView
    filtered_select_fields = ('vlans', 'responsible', 'inventory_objects')
    widgets = {
        'bugs': forms.TextInput(attrs={'data-role': 'bugsinput'})
    }


urlpatterns = LabViewSet('inventory.labs').urlpatterns
