from django.utils import timezone

from rest_framework import authentication
from rest_framework import exceptions

from security.models import Application


def validate_token(request):
    application = request.META.get(
        'HTTP_X_AUTH_APPLICATION')
    token = request.META.get(
        'HTTP_X_AUTH_TOKEN')

    try:
        app = Application.objects.get(
            name=application, auth_token=token, active=True)
    except Application.DoesNotExist:
        return None

    app.access = timezone.now()
    app.save()

    return app


class ApplicationAuthentication(authentication.BaseAuthentication):
    def authenticate(self, request):
        app = validate_token(request)

        if app:
            return (app.user, None)

        raise exceptions.AuthenticationFailed(
            'Authentication data is missing or invalid')
